Eclipse GEF 3.3

## org.eclipse.gef.ui.actions
Class ActionRegistry

    java.lang.Object
      org.eclipse.gef.ui.actions.ActionRegistry

public class ActionRegistry
extends java.lang.Object

A container for editor actions. You must register the actions before they will be available to the editor.

Constructor Summary
`ActionRegistry()`

Method Summary
`void` `dispose()` Calls dispose on all actions which implement the `Disposable` interface so they can perform their own clean-up.
`IAction` `getAction(java.lang.Object key)` Returns `null` or the `IAction` with the given key.
`java.util.Iterator` `getActions()` Returns an `Iterator` over all the actions.
`void` `registerAction(IAction action)` Register an action with this registry.
`void` `removeAction(IAction action)` Removes an action from this registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionRegistry

    public ActionRegistry()

Method Detail

### dispose

    public void dispose()

  Calls dispose on all actions which implement the `Disposable` interface so they can perform their own clean-up.

### getAction

    public IAction getAction(java.lang.Object key)

  Returns `null` or the `IAction` with the given key.

  Parameters:
    `key` - the ID of the action being requested
  Returns:
    `null` or the action with the corresponding ID

### getActions

    public java.util.Iterator getActions()

  Returns an `Iterator` over all the actions.

  Returns:
    an iterator over all actions

### registerAction

    public void registerAction(IAction action)

  Register an action with this registry. The action must have an ID.

  Parameters:
    `action` - the action being registered.

### removeAction

    public void removeAction(IAction action)

  Removes an action from this registry. The action must have an ID.

  Parameters:
    `action` - the action to remove

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.